#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int scatdb(float,float,int,float,float*,float*,float*,float*,float*,float*,int*);
int main(int argc, char **argv) {
	int i,nshp=10,iret,is_loaded=0, nopf=0;
	float t=263.15,f=150,dmax=1000;
	float cabs=0,csca=0,cbsc=0,g=0,p[37],re=0;

	if(argc<2 || !strcmp(argv[1],"--help") || !strcmp(argv[1],"-h")) {
		fprintf(stderr,"Usage: %s [-f freq(GHz)] [-t temp(K)] [-s shape#] [-d dmax(um)] [-no_pf]\n",argv[0]);
		fprintf(stderr,"Output: cabs,csca,cbsc,g,re,iret\n");
		fprintf(stderr,"        phase_function (0-180 every 5), if no_pf not set\n");
		exit(0);
	}

	i=1;
	while (i<argc) {
	 if(!strcmp(argv[i],"-f")) {
	  i++;
	  sscanf(argv[i],"%f",&f);
	 }
	 else if(!strcmp(argv[i],"-t")) {
	  i++;
	  sscanf(argv[i],"%f",&t);
	 }
	 else if(!strcmp(argv[i],"-s")) {
	  i++;
	  sscanf(argv[i],"%d",&nshp);
	 }
	 else if(!strcmp(argv[i],"-d")) {
	  i++;
	  sscanf(argv[i],"%f",&dmax);
	 }
	 else if(!strcmp(argv[i],"-no_pf")) {
		 nopf=1;
	 }
	i++;
	} 
	fprintf(stderr,"%f %f %d %f\n",f,t,nshp,dmax);
	
	iret=scatdb(f,t,nshp,dmax,&cabs,&csca,&cbsc,&g,p,&re,&is_loaded);

	if(iret>999) {
	 fprintf(stderr,"Return Code: %d\n", iret);
	 exit(1);
	}

	fprintf(stdout,"%e %e %e %f %f %d\n",cabs,csca,cbsc,g,re,iret);
	if (nopf == 0) for(i=0;i<37;i++) fprintf(stdout,"%f ",p[i]); 
	fprintf(stdout,"\n");
	return 0;
}	
